/*=========================================================================
===									===
=== FILE	xamigo.h						===
===									===
=== CONTENTS	Definitions for xamigo.					===
===									===
=== PART OF	xamigo							===
===									===
=== AUTHOR	Neil Bowers, University of Leeds			===
===									===
=== DATE	12th July 1992						===
===									===
=========================================================================*/

#ifndef __xamigo_h
#define __xamigo_h

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>

#ifdef __STDC__
#define PROTO(fp)	fp
#else
#define PROTO(fp)	()
#endif


typedef struct _MenuItem
{
	char		*item_name;
	void		(*callback)();
	Widget		widget;
} MenuItem;


typedef struct _Menu
{
	char		*menu_name;
	char		*button_name;
	MenuItem	*items;
	int		num_items;
	Widget		menu_button;
} Menu;


/*----------------------------------------------------------------
--			Function Prototypes			--
----------------------------------------------------------------*/

void	NewGameProc	PROTO((Widget,XtPointer,XtPointer));
void	QuitProc	PROTO((Widget,XtPointer,XtPointer));
void	LevelProc	PROTO((Widget,XtPointer,XtPointer));
void	OptionProc	PROTO((Widget,XtPointer,XtPointer));
void	MoveProc	PROTO((Widget,XtPointer,XtPointer));
void	HandicapProc	PROTO((Widget,XtPointer,XtPointer));
void	PopupStatsProc	PROTO((Widget,XtPointer,XtPointer));
void	StatDoneProc	PROTO((Widget,XtPointer,XtPointer));
Widget	CreateMenu	PROTO((Widget,char *,char *,MenuItem *,int));
void	CreateMenuStrip	PROTO((Widget,Menu *,int));
void	CreateAmigoMenus PROTO((Widget));
void	InputStone	PROTO((Widget,XButtonEvent *));
void	PassMove	PROTO((Widget,XKeyEvent *));
void	HumanPassMove	PROTO(());


#endif
