.\" Man page for xamigo, by Neil Bowers
.TH Xamigo 1.0 "August 12 1992"
.SH NAME
\fIXamigo\fR \- An X interface to "AmiGo" --- A Go playing program
.SH SYNOPSIS
.B xamigo
[-\fItoolkit_options\fP]
.SH DESCRIPTION
.I Xamigo
is a simple interface to the
.I AmiGo
Go playing program,
originally written for the Amiga computer.
The Go player was written by Stoney Ballard,
with additional code by Todd R. Johnson.
Xamigo is at best a beta release,
please send any suggestions for improvements to the author (see below).

When you invoke xamigo,
a window will appear which contains a goban with a row
of menu buttons across the top.
There are four menus, which are described in the following sections.

.SH "GAME MENU"

The Project menu contains entries which give control over xamigo,
rather than the wally code, or the goban.
The menu items are as follows:
.TP 8
.BI "New Game"
clears the goban and starts a new game,
using the level and handicap selected on the appropriate menus.
.TP 8
.BI "Game Stats"
pops up a window which presents game details for the players ---
last move and stones captured --- and a text window used to display
messages from xamigo, such as the final score when the game is over.
The Game Stats window has a
.BI Done
button which will pop down the window.
.TP 8
.BI "Amigo Plays White"
.TP 8
.BI "Amigo Plays Black"
hopefully obvious.  One (and only one) of these items should be checked,
signifying which color the computer will take in the next game.
.TP 8
.BI "Move Reason"
if this item is checked, then whenever the computer player makes a move,
the reasoning behind the move will be displayed in the message area
of the stats window.
.TP 8
.BI "Show Lookahead"
If checked, then xamigo will display each move which it is considering.
Fun to look at the first time,
but slows down the play.
.TP 8
.BI "Quit"
guess what this does.

.SH "MOVES MENU"
The Moves menu contains items related to moves once the game is in play.
.TP 8
.BI "Pass"
pass this move.
When both players pass, you can then remove dead groups by clicking on stones.
Once all dead groups have been removed, selecting Pass again will
result in the final score being displayed in the message window
(which is part of the Game Stats popup window).
The `p' key can be used as a short-cut for pass.
.TP 8
.BI "Resign"
resign the current game.
.LP
Other commands which could be added in the future include `undo',
`make my move for me', etc.

.SH "LEVEL MENU"
Select the level at which xamigo should play, between 1 and 7,
with 7 the highest.

.SH "HANDICAP MENU"

The Handicap
menu is used to set the handicap for the next game.

.SH OPTIONS
\fIXamigo\fP accepts the standard X Toolkit command line options.
One day there might be some xamigo options, who knows?

.SH RESOURCES
\fIXamigo\fP accepts the standard X Toolkit resource names and classes.
See OPTIONS above.

.SH BUGS
Plenty no doubt.  Please let me know if you find any.

.SH COPYRIGHT
The Goban widget is copyright (c) 1992 by Antoine Dumesnil de Maricourt.

The xamigo specific code is copyright (c) 1992 by Neil Bowers.
Feel free to distribute xamigo and use any code,
provided you give due credit to the respective authors.

.SH AUTHOR
.nf
Go player: Stoney Ballard
.fi

.nf
Goban Widget: Antoine Dumesnil de Maricourt
Email: dumesnil@etca.fr
.fi

.nf
Xamigo: Neil Bowers
        School of Computer Studies
        University of Leeds.
Email: neilb@scs.leeds.ac.uk
.fi

